package com.gic.store.constant;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-11-11 11:01
 */
public enum ClerkGenderEnum {
    MALE(1, "男"),
    FEMALE(2, "女")
    ;
    private int code;
    private String message;

    ClerkGenderEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public static String parseCode(int code){
        for(ClerkGenderEnum transactType : values()){
            if (transactType.getCode() == code) {
                return transactType.message;
            }
        }
        return null;
    }

}
