package com.gic.store.constant;

public enum StoreCompleteEnum {
    COMPLETE(1, "已完善"),
    UNCOMPLETE(0, "未完善");
    private int code;
    private String message;

    StoreCompleteEnum(int code, String message){
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
