package com.gic.store.constant;

/**
  * @ClassName: StoreFieldDateEnum 
  * @Description:  自定义字段 日期类型下拉数据
  * @author guojuxing 
  * @date 2019/7/2 4:34 PM
  */
public enum StoreFieldDateEnum {
    YMD(1, "年月日", "YYYY-MM-dd"),
    YM(2, "年月", "YYYY-MM"),
    MD(3, "月日", "MM-dd"),
    YMDHMS(4, "年月日时分秒", "YYYY-MM-dd HH:mm:ss"),
    Hms(5, "时分秒", "HH:mm:ss");

    private int code;
    private String message;
    private String format;

    private StoreFieldDateEnum(int code, String message, String format) {
        this.code = code;
        this.message = message;
        this.format = format;
    }

    public int getCode() {
        return code;
    }


    public String getMessage() {
        return message;
    }

    public String getFormat() {
        return format;
    }
}
