package com.gic.store.dto;

import java.io.Serializable;

/**
 * @author zhiwj
 * @date 2019/7/16
 */
public class ClerkDTO implements Serializable {
    private static final long serialVersionUID = 2550981889147036196L;

    /**
     * 店员id
     */
    private Integer clerkId;

    /**
     * 店员名称
     */
    private String clerkName;

    /**
     * 店员编码
     */
    private String clerkCode;

    /**
     * 企业ID
     */
    private Integer enterpriseId;

    /**
     * 门店id
     */
    private Integer storeInfoId;

    /**
     * 职位名称（仅作展现）
     */
    private String positionName;

    /**
     * 性别  1：男  2：女
     */
    private Integer clerkGender;

    /**
     * 国际码
     */
    private String nationcode;

    /**
     * 电话号码
     */
    private String phoneNumber;

    /**
     * 好办绑定状态  1：绑定   0：未绑定
     */
    private Integer haobanStatus;

    /**
     * 状态（1:启用， 2:不启用）
     */
    private Integer status;

    /**
     * 1店长  0店员
     */
    private Integer clerkType;

    /**
     * 头像
     */
    private String headImg;
    /**
     * 事由   1:web后台操作   2:外部触发   3:订单同步  4:会员同步  5:系统配置触发
     */
    private Integer reason;
    private String remark;
    private Integer operatorId;
    private String operatorName;
    private String storeName;
    private String haobanStatusName;
    private String clerkTypeName;


    public Integer getClerkId() {
        return clerkId;
    }

    public void setClerkId(Integer clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public Integer getStoreInfoId() {
        return storeInfoId;
    }

    public void setStoreInfoId(Integer storeInfoId) {
        this.storeInfoId = storeInfoId;
    }

    public String getPositionName() {
        return positionName;
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    public Integer getClerkGender() {
        return clerkGender;
    }

    public void setClerkGender(Integer clerkGender) {
        this.clerkGender = clerkGender;
    }

    public String getNationcode() {
        return nationcode;
    }

    public void setNationcode(String nationcode) {
        this.nationcode = nationcode;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getReason() {
        return reason;
    }

    public void setReason(Integer reason) {
        this.reason = reason;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getRemark() {
        return remark;
    }

    public Integer getOperatorId() {
        return operatorId;
    }

    public void setOperatorId(Integer operatorId) {
        this.operatorId = operatorId;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public Integer getHaobanStatus() {
        return haobanStatus;
    }

    public void setHaobanStatus(Integer haobanStatus) {
        this.haobanStatus = haobanStatus;
    }

    public void setHaobanStatusName(String haobanStatusName) {
        this.haobanStatusName = haobanStatusName;
    }

    public String getHaobanStatusName() {
        return haobanStatusName;
    }

    public Integer getClerkType() {
        return clerkType;
    }

    public void setClerkType(Integer clerkType) {
        this.clerkType = clerkType;
    }

    public String getHeadImg() {
        return headImg;
    }

    public void setHeadImg(String headImg) {
        this.headImg = headImg;
    }

    public void setClerkTypeName(String clerkTypeName) {
        this.clerkTypeName = clerkTypeName;
    }

    public String getClerkTypeName() {
        return clerkTypeName;
    }
}
