package com.gic.store.dto.open;

import java.io.Serializable;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-02-26 17:34
 */
public class StoreOpenDTO implements Serializable {
    private static final long serialVersionUID = 7134994873372842837L;

    private Integer storeId;

    private Integer enterpriseId;

    /**
     * 门店名称
     */
    private String storeName;

    /**
     * 门店code
     */
    private String storeCode;

    /**
     * 域id
     */
    private Integer regionId;

    /**
     * 门店照片
     */
    private String photos;

    /**
     * 门店类型
     */
    private Integer erpType;
    /**
     * erp门店状态
     */
    private Integer erpStatus;

    /**
     * 门店电话
     */
    private String conactsPhone;

    /**
     * 营业时间 [{"weekday":"1,2", "openTime":"08:00", "closeTime":"17:00"}]
     */
    private String businessTime;

    /**
     * 门店分组名
     */
    private String groupName;
    /**
     * 店招品牌
     */
    private String brand;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 区县
     */
    private String county;

    /**
     * 门店详细地址
     */
    private String address;

    /**
     * 经度
     */
    private String longitude;
    /**
     * 维度
     */
    private String latitude;

    /**
     * 扩展字段
     * [
     * {
     *     "fieldCode":"",
     *     "fieldValue"""
     * }
     * ]
     */
    private String customField;

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStoreName() {
        return storeName;
    }

    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    public String getStoreCode() {
        return storeCode;
    }

    public void setStoreCode(String storeCode) {
        this.storeCode = storeCode;
    }

    public Integer getRegionId() {
        return regionId;
    }

    public void setRegionId(Integer regionId) {
        this.regionId = regionId;
    }

    public String getPhotos() {
        return photos;
    }

    public void setPhotos(String photos) {
        this.photos = photos;
    }

    public Integer getErpStatus() {
        return erpStatus;
    }

    public void setErpStatus(Integer erpStatus) {
        this.erpStatus = erpStatus;
    }

    public String getConactsPhone() {
        return conactsPhone;
    }

    public void setConactsPhone(String conactsPhone) {
        this.conactsPhone = conactsPhone;
    }

    public String getBusinessTime() {
        return businessTime;
    }

    public void setBusinessTime(String businessTime) {
        this.businessTime = businessTime;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getCustomField() {
        return customField;
    }

    public void setCustomField(String customField) {
        this.customField = customField;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public Integer getErpType() {
        return erpType;
    }

    public void setErpType(Integer erpType) {
        this.erpType = erpType;
    }
}
