package com.gic.store.service;

import com.gic.store.dto.StoreExtendDTO;
import com.gic.store.entity.TabStoreExtend;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/7/3
 */
public interface StoreExtendService {
    String saveOrUpdate(Integer enterpriseId, Integer storeInfoId, List<StoreExtendDTO> storeExtendList);

    List<TabStoreExtend> listByStoreInfoId(Integer enterpriseId, Integer storeInfoId);

    List<StoreExtendDTO> convertStoreExtendToDTO(List<TabStoreExtend> extendList);

    TabStoreExtend getStoreExtendByStoreInfoIdAndFieldId(Integer storeInfoId, Integer storeFieldId);

    /**
     * 判断自定义属性是否在使用
     * @return true:在使用  false:不在使用
     */
    boolean storeExtendHasStoreField(Integer storeField);

    /**
     * 判断自定义属性值是否在使用
     * @return true:在使用  false:不在使用
     */
    boolean storeExtendHasStoreFieldSelect(Integer storeField, Integer storeFieldSelectId);

}
