package com.gic.store.service;

import com.gic.store.entity.TabStoreRegionRel;

import java.util.List;

/**
 *
 * @Description:
 * @author zhiwj
 * @date 2019-09-23 14:06
 */
public interface StoreRegionRelService {
    Integer saveByOwner(Integer enterpriseId, Integer regionId);

    Integer saveByOther(Integer fromEnterpriseId, Integer enterpriseId, Integer regionId);

    boolean validIsOwn(Integer enterpriseId, Integer regionId);

    List<Integer> listByAuthorize(Integer fromEnterpriseId, Integer toEnterpriseId);

    void delByRegionIds(Integer enterpriseId, List<Integer> delRelList, Integer ownType);

    TabStoreRegionRel getByRegionIdAndEnterpriseId(Integer regionId, Integer enterpriseId, int ownType);

    void updateStatusByOther(Integer enterpriseId, Integer regionId, int status);
}
