package com.gic.store.utils;

import java.util.HashMap;
import java.util.Map;

/**
 * @author zhiwj
 * @date 2019/7/11
 */
public class PropertyNameMap {
    /**
     * 暂时放这里测试下， 以后移到enterprise_base_api里去
     */

    private static final Map<String, String> map = new HashMap<>();

    static {
        map.put("regionName", "门店域名称");
        map.put("regionCode", "门店域code");
        map.put("storeBrandCode", "品牌code");
        map.put("storeBrandName", "品牌名称");
        map.put("storeBrandCategory", "经营类目");
        map.put("storeSupport", "门店适用");
        map.put("goodsSupport", "商品适用");
        map.put("storeName", "门店名称");
        map.put("conactsPhone", "门店电话");
        map.put("address", "门店详细地址");
        map.put("brandIds", "关联门店品牌id，多个用逗号分隔");
        map.put("longitude", "经度");
        map.put("latitude", "纬度");
//        map.put("status", "门店启用状态");
        map.put("erpStatus", "erp门店状态");
        map.put("storeType", "门店类型");
        map.put("weekday", "营业时间");
        map.put("businessTimeList", "营业时间");
    }

    private PropertyNameMap() {
    }

    public static String get(String name) {
        return map.get(name);
    }
}
