package com.gic.store.constant;

public enum StoreStatusEnum {
    ONLINE(1, "启用"),
    INONLINE(2, "不启用");
    private int code;
    private String message;

    StoreStatusEnum(int code, String message){
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }

    public static String parseCode(int code){
        for(StoreStatusEnum transactType : values()){
            if (transactType.getCode() == code) {
                return transactType.message;
            }
        }
        return null;
    }
}
