package com.gic.store.service;

/**
 * @ClassName: ClerkTaskApiService
 * @Description: 导购异步任务 
 * @author zhiwj
 * @date 2019/7/31 14:45
 */
public interface ClerkTaskApiService {

    /**
     * @Title: importDataToClerk
     * @Description: 
     * @author zhiwj
     * @param enterpriseId 企业id
     * @param userId 操作人
     * @param uuId 上传唯一参数
     * @return java.lang.String
     * @throws 
     */
    String importDataToClerk(Integer enterpriseId, String userId, String uuId);
    
    /**
     * @Title: run
     * @Description: 异步任务入口
     * @author zhiwj 
     * @param params
     * @return void
     * @throws 
     */
    public void run(String params);

}
