package com.gic.store.service;

import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreTagDTO;

import java.util.List;

/**
 * 门店标签
 * @ClassName: StoreTagApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2020/1/14 4:23 PM 
 */
public interface StoreTagApiService {

    ServiceResponse<Integer> save(StoreTagDTO dto);

    ServiceResponse<Integer> update(StoreTagDTO dto);

    ServiceResponse<String> delete(Integer storeTagId);

    ServiceResponse<StoreTagDTO> getByStoreTagId(Integer storeTagId);

    ServiceResponse<List<StoreTagDTO>> listByEnterprise(Integer enterpriseId);
}
