package com.gic.store.service;

import com.gic.store.dto.StoreTmpDTO;
import com.gic.store.entity.TabStoreTmp;
import com.github.pagehelper.Page;

import java.util.List;

/**
 * @author zhiwj
 * @date 2019/7/3
 */
public interface StoreImportService {
    Boolean hasImportingStore(Integer enterpriseId);

    void delStoreTmp(Integer enterpriseId);

    void save(StoreTmpDTO bean);

    Page<TabStoreTmp> listStoreTmp(Integer enterpriseId, boolean isSuccess, Integer currentPage, Integer pageSize);

    List<TabStoreTmp> listUnImportStore(String enterpriseId);

    void updateData(StoreTmpDTO t);

    List<TabStoreTmp> listStoreTmp(Integer enterpriseId, Boolean isSuccess);

    List<TabStoreTmp> listAllStoreTmp(Integer enterpriseId);

    Integer countByTaskTotal(Integer enterpriseId, String uuId);

    Integer countByTaskExecNum(Integer enterpriseId, String uuId);

    Integer countByTaskFailNum(Integer enterpriseId, String uuId);
}
