package com.gic.store.web.qo.store;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.gic.store.dto.ClerkSearchDTO;
import org.apache.commons.lang.StringUtils;

import com.gic.store.dto.StoreSearchDTO;

public class ClerkQrcodeQO implements Serializable {
    private Integer h5 = 0;
    private String appletIds;
    private String fwhIds;
    private String scenesValueIds;
    private Integer type;  //1临时二维码  2永久二维码
    private Date endTime;
    private Integer isAll = 0;
    private List<QrcodeContent> content;
    private String callBackService;
    private String callBackMethod;
    private String fileName;
    private ClerkSearchDTO clerkSearchDTO;

    public Integer getH5() {
        return h5;
    }

    public void setH5(Integer h5) {
        if(h5 != null && StringUtils.isNotBlank(h5+"")){
            this.h5 = h5;
        }
    }

    public String getAppletIds() {
        return appletIds;
    }

    public void setAppletIds(String appletIds) {
        this.appletIds = appletIds;
    }

    public String getFwhIds() {
        return fwhIds;
    }

    public void setFwhIds(String fwhIds) {
        this.fwhIds = fwhIds;
    }

    public String getScenesValueIds() {
        return scenesValueIds;
    }

    public void setScenesValueIds(String scenesValueIds) {
        this.scenesValueIds = scenesValueIds;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public List<QrcodeContent> getContent() {
        return content;
    }

    public void setContent(List<QrcodeContent> content) {
        this.content = content;
    }

    public String getCallBackService() {
        return callBackService;
    }

    public void setCallBackService(String callBackService) {
        this.callBackService = callBackService;
    }

    public String getCallBackMethod() {
        return callBackMethod;
    }

    public void setCallBackMethod(String callBackMethod) {
        this.callBackMethod = callBackMethod;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public Integer getIsAll() {
        return isAll;
    }

    public void setIsAll(Integer isAll) {
        this.isAll = isAll;
    }

    public ClerkSearchDTO getClerkSearchDTO() {
        return clerkSearchDTO;
    }

    public void setClerkSearchDTO(ClerkSearchDTO clerkSearchDTO) {
        this.clerkSearchDTO = clerkSearchDTO;
    }
}
