package com.gic.store.web.vo.storeWidget;

import com.alibaba.fastjson.JSON;
import com.google.common.base.Joiner;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-02-24 11:48
 */
public class StoreWidgetWriteBack {

    /**
     * box : [{"esScreeningWidgetChainId":"9e64d13895df4d9a90938a4b356f59c7","esScreeningWidgetCategoryId":"fe4de3f315624e8fa08d2f19ca181890","chainNodeName":"门店域","widgetFieldKey":"store-area","columnKey":"regionId","dealKey":"","nextWidgetParams":"[]","nextWidgetSourceFlag":0,"nextWidgetId":"e771749a7ba945279be6407b2511e8d7","parentChainId":"0","computeCharacter":"arr_contain","columnValue":"","property":3,"columnType":1,"widget":{"esScreeningWidgetId":"e771749a7ba945279be6407b2511e8d7","widgetName":"门店域","templateCode":"com007","widgetParam":"[{\"key\":\"url\",\"value\":\"/api-plug/list-store-region\"}]","sourceFlag":1,"widgetValues":"[{\"key\":\"字段名\",\"value\":\"字段值\"}]","status":1,"createTime":1563267944000,"updateTime":1563267944000,"widgetInstruction":"门店域控件"},"name":"store-area"},{"esScreeningWidgetChainId":"d7b319e95e164a609a04d5f616d185b8","esScreeningWidgetCategoryId":"f598d7e2a1fa4c1e8dc56c6bb81a2195","chainNodeName":"自定义属性","widgetFieldKey":"store-property","columnKey":null,"dealKey":"","nextWidgetParams":null,"nextWidgetSourceFlag":0,"nextWidgetId":"fdcbd2bccd7143a9b1a16fef9129a243","parentChainId":"0","computeCharacter":null,"columnValue":"undefined","property":8,"columnType":1,"widget":{"esScreeningWidgetId":"fdcbd2bccd7143a9b1a16fef9129a243","widgetName":"门店自定义属性","templateCode":"com009","widgetParam":"[{\"key\":\"url\",\"value\":\"callback\"}]","sourceFlag":1,"widgetValues":"[{\"key\":\"字段名\",\"value\":\"字段值\"}]","status":1,"createTime":1563268833000,"updateTime":1563268833000,"widgetInstruction":"门店自定义属性"},"name":"store-property"},{"esScreeningWidgetChainId":"f93e46d06f684eeea4d3867a46b22822","esScreeningWidgetCategoryId":"db92e4d52d274ed4a1ea3052c30cbd99","chainNodeName":"部分门店","widgetFieldKey":"store-some","columnKey":"storeId","dealKey":"","nextWidgetParams":null,"nextWidgetSourceFlag":0,"nextWidgetId":"a83356811c1046208771c340592f30d5","parentChainId":"0","computeCharacter":"contain","columnValue":"undefined","property":3,"columnType":1,"widget":{"esScreeningWidgetId":"a83356811c1046208771c340592f30d5","widgetName":"部分门店控件","templateCode":"m_store","widgetParam":"[{\"key\":\"key\",\"value\":\"callback\"}]","sourceFlag":0,"widgetValues":"[]","status":1,"createTime":1563261836000,"updateTime":1563261836000,"widgetInstruction":"部分门店"},"name":"store-some"},{"esScreeningWidgetChainId":"8171b764a5de45cfa85648a29dabcb13","esScreeningWidgetCategoryId":"a41b13eb068f4c8fa4cf03e0c91d4fa8","chainNodeName":"门店分组","widgetFieldKey":"store-group","columnKey":"storeGroupIdList","dealKey":"","nextWidgetParams":"[]","nextWidgetSourceFlag":0,"nextWidgetId":"03d51ac27aa547b499a1a509fa5eb0fc","parentChainId":"0","computeCharacter":"arr_contain","columnValue":"undefined","property":3,"columnType":1,"widget":{"esScreeningWidgetId":"03d51ac27aa547b499a1a509fa5eb0fc","widgetName":"门店分组","templateCode":"m_storeGroup","widgetParam":"[{\"key\":\"key\",\"value\":\"callback\"}]","sourceFlag":0,"widgetValues":"[]","status":1,"createTime":1563261745000,"updateTime":1563261745000,"widgetInstruction":"门店分组控件"},"name":"store-group"},{"esScreeningWidgetChainId":"411e67154126487ca92b099c4b05c4cb","esScreeningWidgetCategoryId":"6997db0bb0b3405f9ef1978ceda185b3","chainNodeName":"基本信息及状态","widgetFieldKey":"store-info","columnKey":null,"dealKey":"","nextWidgetParams":null,"nextWidgetSourceFlag":0,"nextWidgetId":"e3d11767dca74696803e79f08a925ffa","parentChainId":"0","computeCharacter":null,"columnValue":"undefined","property":8,"columnType":1,"widget":{"esScreeningWidgetId":"e3d11767dca74696803e79f08a925ffa","widgetName":"门店基本信息及状态","templateCode":"com001","widgetParam":"[{\"key\":\"key\",\"value\":\"callback\"}]","sourceFlag":0,"widgetValues":"[{\"key\":\"storeArea\",\"value\":\"门店地区\",\"name\":\"storeArea\"},{\"key\":\"storeBrand\",\"value\":\"店招品牌\",\"name\":\"storeBrand\"},{\"key\":\"storeStatus\",\"value\":\"门店启用状态\",\"name\":\"storeStatus\"},{\"key\":\"completeStatus\",\"value\":\"资料完善状态\",\"name\":\"completeStatus\"},{\"key\":\"createType\",\"value\":\"门店创建方式\",\"name\":\"createType\"},{\"key\":\"storeType\",\"value\":\"门店类型\",\"name\":\"storeType\"},{\"key\":\"erpStatus\",\"value\":\"门店状态\",\"name\":\"erpStatus\"}]","status":1,"createTime":1576679517000,"updateTime":1576679517000,"widgetInstruction":"门店基本信息及状态"},"name":"store-info"}]
     * components : [{"type":"部分门店","name":"store-some","status":"delete","options":["大理古城刘建冬","大理下关王亮娟","大姚杨红","大姚杨玉梅（服装店）","加盟24店-大姚张华"],"propertyName":"store-some","list":{"key":"storeId","compute":"contain","value":"4040 4041 4048 4042 4045"}}]
     * operator : 或者
     */

    public static String getJSON(List<String> storeNameList, List<Integer> storeIdList) {
        String json = "[{\"box\":[{\"esScreeningWidgetChainId\":\"9e64d13895df4d9a90938a4b356f59c7\",\"esScreeningWidgetCategoryId\":\"fe4de3f315624e8fa08d2f19ca181890\",\"chainNodeName\":\"门店域\",\"widgetFieldKey\":\"store-area\",\"columnKey\":\"regionId\",\"dealKey\":\"\",\"nextWidgetParams\":\"[]\",\"nextWidgetSourceFlag\":0,\"nextWidgetId\":\"e771749a7ba945279be6407b2511e8d7\",\"parentChainId\":\"0\",\"computeCharacter\":\"arr_contain\",\"columnValue\":\"\",\"property\":3,\"columnType\":1,\"widget\":{\"esScreeningWidgetId\":\"e771749a7ba945279be6407b2511e8d7\",\"widgetName\":\"门店域\",\"templateCode\":\"com007\",\"widgetParam\":\"[{\\\"key\\\":\\\"url\\\",\\\"value\\\":\\\"/api-plug/list-store-region\\\"}]\",\"sourceFlag\":1,\"widgetValues\":\"[{\\\"key\\\":\\\"字段名\\\",\\\"value\\\":\\\"字段值\\\"}]\",\"status\":1,\"createTime\":1563267944000,\"updateTime\":1563267944000,\"widgetInstruction\":\"门店域控件\"},\"name\":\"store-area\"},{\"esScreeningWidgetChainId\":\"d7b319e95e164a609a04d5f616d185b8\",\"esScreeningWidgetCategoryId\":\"f598d7e2a1fa4c1e8dc56c6bb81a2195\",\"chainNodeName\":\"自定义属性\",\"widgetFieldKey\":\"store-property\",\"columnKey\":null,\"dealKey\":\"\",\"nextWidgetParams\":null,\"nextWidgetSourceFlag\":0,\"nextWidgetId\":\"fdcbd2bccd7143a9b1a16fef9129a243\",\"parentChainId\":\"0\",\"computeCharacter\":null,\"columnValue\":\"undefined\",\"property\":8,\"columnType\":1,\"widget\":{\"esScreeningWidgetId\":\"fdcbd2bccd7143a9b1a16fef9129a243\",\"widgetName\":\"门店自定义属性\",\"templateCode\":\"com009\",\"widgetParam\":\"[{\\\"key\\\":\\\"url\\\",\\\"value\\\":\\\"callback\\\"}]\",\"sourceFlag\":1,\"widgetValues\":\"[{\\\"key\\\":\\\"字段名\\\",\\\"value\\\":\\\"字段值\\\"}]\",\"status\":1,\"createTime\":1563268833000,\"updateTime\":1563268833000,\"widgetInstruction\":\"门店自定义属性\"},\"name\":\"store-property\"},{\"esScreeningWidgetChainId\":\"f93e46d06f684eeea4d3867a46b22822\",\"esScreeningWidgetCategoryId\":\"db92e4d52d274ed4a1ea3052c30cbd99\",\"chainNodeName\":\"部分门店\",\"widgetFieldKey\":\"store-some\",\"columnKey\":\"storeId\",\"dealKey\":\"\",\"nextWidgetParams\":null,\"nextWidgetSourceFlag\":0,\"nextWidgetId\":\"a83356811c1046208771c340592f30d5\",\"parentChainId\":\"0\",\"computeCharacter\":\"contain\",\"columnValue\":\"undefined\",\"property\":3,\"columnType\":1,\"widget\":{\"esScreeningWidgetId\":\"a83356811c1046208771c340592f30d5\",\"widgetName\":\"部分门店控件\",\"templateCode\":\"m_store\",\"widgetParam\":\"[{\\\"key\\\":\\\"key\\\",\\\"value\\\":\\\"callback\\\"}]\",\"sourceFlag\":0,\"widgetValues\":\"[]\",\"status\":1,\"createTime\":1563261836000,\"updateTime\":1563261836000,\"widgetInstruction\":\"部分门店\"},\"name\":\"store-some\"},{\"esScreeningWidgetChainId\":\"8171b764a5de45cfa85648a29dabcb13\",\"esScreeningWidgetCategoryId\":\"a41b13eb068f4c8fa4cf03e0c91d4fa8\",\"chainNodeName\":\"门店分组\",\"widgetFieldKey\":\"store-group\",\"columnKey\":\"storeGroupIdList\",\"dealKey\":\"\",\"nextWidgetParams\":\"[]\",\"nextWidgetSourceFlag\":0,\"nextWidgetId\":\"03d51ac27aa547b499a1a509fa5eb0fc\",\"parentChainId\":\"0\",\"computeCharacter\":\"arr_contain\",\"columnValue\":\"undefined\",\"property\":3,\"columnType\":1,\"widget\":{\"esScreeningWidgetId\":\"03d51ac27aa547b499a1a509fa5eb0fc\",\"widgetName\":\"门店分组\",\"templateCode\":\"m_storeGroup\",\"widgetParam\":\"[{\\\"key\\\":\\\"key\\\",\\\"value\\\":\\\"callback\\\"}]\",\"sourceFlag\":0,\"widgetValues\":\"[]\",\"status\":1,\"createTime\":1563261745000,\"updateTime\":1563261745000,\"widgetInstruction\":\"门店分组控件\"},\"name\":\"store-group\"},{\"esScreeningWidgetChainId\":\"411e67154126487ca92b099c4b05c4cb\",\"esScreeningWidgetCategoryId\":\"6997db0bb0b3405f9ef1978ceda185b3\",\"chainNodeName\":\"基本信息及状态\",\"widgetFieldKey\":\"store-info\",\"columnKey\":null,\"dealKey\":\"\",\"nextWidgetParams\":null,\"nextWidgetSourceFlag\":0,\"nextWidgetId\":\"e3d11767dca74696803e79f08a925ffa\",\"parentChainId\":\"0\",\"computeCharacter\":null,\"columnValue\":\"undefined\",\"property\":8,\"columnType\":1,\"widget\":{\"esScreeningWidgetId\":\"e3d11767dca74696803e79f08a925ffa\",\"widgetName\":\"门店基本信息及状态\",\"templateCode\":\"com001\",\"widgetParam\":\"[{\\\"key\\\":\\\"key\\\",\\\"value\\\":\\\"callback\\\"}]\",\"sourceFlag\":0,\"widgetValues\":\"[{\\\"key\\\":\\\"storeArea\\\",\\\"value\\\":\\\"门店地区\\\",\\\"name\\\":\\\"storeArea\\\"},{\\\"key\\\":\\\"storeBrand\\\",\\\"value\\\":\\\"店招品牌\\\",\\\"name\\\":\\\"storeBrand\\\"},{\\\"key\\\":\\\"storeStatus\\\",\\\"value\\\":\\\"门店启用状态\\\",\\\"name\\\":\\\"storeStatus\\\"},{\\\"key\\\":\\\"completeStatus\\\",\\\"value\\\":\\\"资料完善状态\\\",\\\"name\\\":\\\"completeStatus\\\"},{\\\"key\\\":\\\"createType\\\",\\\"value\\\":\\\"门店创建方式\\\",\\\"name\\\":\\\"createType\\\"},{\\\"key\\\":\\\"storeType\\\",\\\"value\\\":\\\"门店类型\\\",\\\"name\\\":\\\"storeType\\\"},{\\\"key\\\":\\\"erpStatus\\\",\\\"value\\\":\\\"门店状态\\\",\\\"name\\\":\\\"erpStatus\\\"}]\",\"status\":1,\"createTime\":1576679517000,\"updateTime\":1576679517000,\"widgetInstruction\":\"门店基本信息及状态\"},\"name\":\"store-info\"}],\"components\":[{\"type\":\"部分门店\",\"name\":\"store-some\",\"status\":\"delete\",\"options\":[\"大理古城刘建冬\",\"大理下关王亮娟\",\"大姚杨红\",\"大姚杨玉梅（服装店）\",\"加盟24店-大姚张华\"],\"propertyName\":\"store-some\",\"list\":{\"key\":\"storeId\",\"compute\":\"contain\",\"value\":\"4040 4041 4048 4042 4045\"}}],\"operator\":\"或者\"}]";
        List<StoreWidgetWriteBack> storeWidgetWriteBacks = JSON.parseArray(json, StoreWidgetWriteBack.class);
        StoreWidgetWriteBack storeWidgetWriteBack = storeWidgetWriteBacks.get(0);
        storeWidgetWriteBack.getComponents().get(0).setOptions(storeNameList);
        storeWidgetWriteBack.getComponents().get(0).getList().setValue(Joiner.on(" ").join(storeIdList));
        return JSON.toJSONString(storeWidgetWriteBacks);
    }


    private String operator;
    private List<BoxBean> box;
    private List<ComponentsBean> components;

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public List<BoxBean> getBox() {
        return box;
    }

    public void setBox(List<BoxBean> box) {
        this.box = box;
    }

    public List<ComponentsBean> getComponents() {
        return components;
    }

    public void setComponents(List<ComponentsBean> components) {
        this.components = components;
    }

    public static class BoxBean {
        /**
         * esScreeningWidgetChainId : 9e64d13895df4d9a90938a4b356f59c7
         * esScreeningWidgetCategoryId : fe4de3f315624e8fa08d2f19ca181890
         * chainNodeName : 门店域
         * widgetFieldKey : store-area
         * columnKey : regionId
         * dealKey :
         * nextWidgetParams : []
         * nextWidgetSourceFlag : 0
         * nextWidgetId : e771749a7ba945279be6407b2511e8d7
         * parentChainId : 0
         * computeCharacter : arr_contain
         * columnValue :
         * property : 3
         * columnType : 1
         * widget : {"esScreeningWidgetId":"e771749a7ba945279be6407b2511e8d7","widgetName":"门店域","templateCode":"com007","widgetParam":"[{\"key\":\"url\",\"value\":\"/api-plug/list-store-region\"}]","sourceFlag":1,"widgetValues":"[{\"key\":\"字段名\",\"value\":\"字段值\"}]","status":1,"createTime":1563267944000,"updateTime":1563267944000,"widgetInstruction":"门店域控件"}
         * name : store-area
         */

        private String esScreeningWidgetChainId;
        private String esScreeningWidgetCategoryId;
        private String chainNodeName;
        private String widgetFieldKey;
        private String columnKey;
        private String dealKey;
        private String nextWidgetParams;
        private int nextWidgetSourceFlag;
        private String nextWidgetId;
        private String parentChainId;
        private String computeCharacter;
        private String columnValue;
        private int property;
        private int columnType;
        private WidgetBean widget;
        private String name;

        public String getEsScreeningWidgetChainId() {
            return esScreeningWidgetChainId;
        }

        public void setEsScreeningWidgetChainId(String esScreeningWidgetChainId) {
            this.esScreeningWidgetChainId = esScreeningWidgetChainId;
        }

        public String getEsScreeningWidgetCategoryId() {
            return esScreeningWidgetCategoryId;
        }

        public void setEsScreeningWidgetCategoryId(String esScreeningWidgetCategoryId) {
            this.esScreeningWidgetCategoryId = esScreeningWidgetCategoryId;
        }

        public String getChainNodeName() {
            return chainNodeName;
        }

        public void setChainNodeName(String chainNodeName) {
            this.chainNodeName = chainNodeName;
        }

        public String getWidgetFieldKey() {
            return widgetFieldKey;
        }

        public void setWidgetFieldKey(String widgetFieldKey) {
            this.widgetFieldKey = widgetFieldKey;
        }

        public String getColumnKey() {
            return columnKey;
        }

        public void setColumnKey(String columnKey) {
            this.columnKey = columnKey;
        }

        public String getDealKey() {
            return dealKey;
        }

        public void setDealKey(String dealKey) {
            this.dealKey = dealKey;
        }

        public String getNextWidgetParams() {
            return nextWidgetParams;
        }

        public void setNextWidgetParams(String nextWidgetParams) {
            this.nextWidgetParams = nextWidgetParams;
        }

        public int getNextWidgetSourceFlag() {
            return nextWidgetSourceFlag;
        }

        public void setNextWidgetSourceFlag(int nextWidgetSourceFlag) {
            this.nextWidgetSourceFlag = nextWidgetSourceFlag;
        }

        public String getNextWidgetId() {
            return nextWidgetId;
        }

        public void setNextWidgetId(String nextWidgetId) {
            this.nextWidgetId = nextWidgetId;
        }

        public String getParentChainId() {
            return parentChainId;
        }

        public void setParentChainId(String parentChainId) {
            this.parentChainId = parentChainId;
        }

        public String getComputeCharacter() {
            return computeCharacter;
        }

        public void setComputeCharacter(String computeCharacter) {
            this.computeCharacter = computeCharacter;
        }

        public String getColumnValue() {
            return columnValue;
        }

        public void setColumnValue(String columnValue) {
            this.columnValue = columnValue;
        }

        public int getProperty() {
            return property;
        }

        public void setProperty(int property) {
            this.property = property;
        }

        public int getColumnType() {
            return columnType;
        }

        public void setColumnType(int columnType) {
            this.columnType = columnType;
        }

        public WidgetBean getWidget() {
            return widget;
        }

        public void setWidget(WidgetBean widget) {
            this.widget = widget;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public static class WidgetBean {
            /**
             * esScreeningWidgetId : e771749a7ba945279be6407b2511e8d7
             * widgetName : 门店域
             * templateCode : com007
             * widgetParam : [{"key":"url","value":"/api-plug/list-store-region"}]
             * sourceFlag : 1
             * widgetValues : [{"key":"字段名","value":"字段值"}]
             * status : 1
             * createTime : 1563267944000
             * updateTime : 1563267944000
             * widgetInstruction : 门店域控件
             */

            private String esScreeningWidgetId;
            private String widgetName;
            private String templateCode;
            private String widgetParam;
            private int sourceFlag;
            private String widgetValues;
            private int status;
            private long createTime;
            private long updateTime;
            private String widgetInstruction;

            public String getEsScreeningWidgetId() {
                return esScreeningWidgetId;
            }

            public void setEsScreeningWidgetId(String esScreeningWidgetId) {
                this.esScreeningWidgetId = esScreeningWidgetId;
            }

            public String getWidgetName() {
                return widgetName;
            }

            public void setWidgetName(String widgetName) {
                this.widgetName = widgetName;
            }

            public String getTemplateCode() {
                return templateCode;
            }

            public void setTemplateCode(String templateCode) {
                this.templateCode = templateCode;
            }

            public String getWidgetParam() {
                return widgetParam;
            }

            public void setWidgetParam(String widgetParam) {
                this.widgetParam = widgetParam;
            }

            public int getSourceFlag() {
                return sourceFlag;
            }

            public void setSourceFlag(int sourceFlag) {
                this.sourceFlag = sourceFlag;
            }

            public String getWidgetValues() {
                return widgetValues;
            }

            public void setWidgetValues(String widgetValues) {
                this.widgetValues = widgetValues;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public long getCreateTime() {
                return createTime;
            }

            public void setCreateTime(long createTime) {
                this.createTime = createTime;
            }

            public long getUpdateTime() {
                return updateTime;
            }

            public void setUpdateTime(long updateTime) {
                this.updateTime = updateTime;
            }

            public String getWidgetInstruction() {
                return widgetInstruction;
            }

            public void setWidgetInstruction(String widgetInstruction) {
                this.widgetInstruction = widgetInstruction;
            }
        }
    }

    public static class ComponentsBean {
        /**
         * type : 部分门店
         * name : store-some
         * status : delete
         * options : ["大理古城刘建冬","大理下关王亮娟","大姚杨红","大姚杨玉梅（服装店）","加盟24店-大姚张华"]
         * propertyName : store-some
         * list : {"key":"storeId","compute":"contain","value":"4040 4041 4048 4042 4045"}
         */

        private String type;
        private String name;
        private String status;
        private String propertyName;
        private ListBean list;
        private List<String> options;

        public String getType() {
            return type;
        }

        public void setType(String type) {
            this.type = type;
        }

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getPropertyName() {
            return propertyName;
        }

        public void setPropertyName(String propertyName) {
            this.propertyName = propertyName;
        }

        public ListBean getList() {
            return list;
        }

        public void setList(ListBean list) {
            this.list = list;
        }

        public List<String> getOptions() {
            return options;
        }

        public void setOptions(List<String> options) {
            this.options = options;
        }

        public static class ListBean {
            /**
             * key : storeId
             * compute : contain
             * value : 4040 4041 4048 4042 4045
             */

            private String key;
            private String compute;
            private String value;

            public String getKey() {
                return key;
            }

            public void setKey(String key) {
                this.key = key;
            }

            public String getCompute() {
                return compute;
            }

            public void setCompute(String compute) {
                this.compute = compute;
            }

            public String getValue() {
                return value;
            }

            public void setValue(String value) {
                this.value = value;
            }
        }
    }
}
